import FWCore.ParameterSet.Config as cms

pythiaUESettingsBlock = cms.PSet(
	pythiaUESettings = cms.vstring(
	    'MSTU(21)=1     ! Check on possible errors during program execution', 
            'MSTJ(22)=2     ! Decay those unstable particles', 
            'PARJ(71)=10 .  ! for which ctau  10 mm',
            'MSTP(51) =  20650    ! PDF set',
            'MSTP(52) =      2    ! PDF set internal (=1) or pdflib (=2)',
            'MSTP( 3) =      2    ! INT switch for choice of LambdaQCD',
            'PARP(62) = 1.0250    ! ISR IR cutoff',
            'MSTP(64) =      2    ! ISR alphaS type',
            'PARP(64) = 1.0000    ! ISR renormalization scale prefactor',
            'MSTP(67) =      2    ! ISR coherence option for 1st emission',
            'PARP(67) = 4.0000    ! ISR Q2max factor',
            'MSTP(68) =      3    ! ISR phase space choice & ME corrections',
            'MSTP(70) =      0    ! ISR IR regularization scheme',
            'MSTP(72) =      1    ! IFSR scheme for non-decay FSR',
            'PARP(71) = 4.0000    ! IFSR Q2max factor in non-s-channel procs',
            'PARJ(81) = 0.2900    ! FSR LambdaQCD (inside resonance decays)',
            'PARJ(82) = 1.0000    ! FSR IR cutoff',
            'MSTP(33) =      0    ! "K" switch for K-factor on/off & type',
            'MSTP(81) =     21    ! UE model',
            'PARP(82) = 2.2920    ! UE IR cutoff at reference ecm',
            'PARP(89) = 1800.0    ! UE IR cutoff reference ecm',
            'PARP(90) = 0.2500    ! UE IR cutoff ecm scaling power',
            'MSTP(82) =      4    ! UE hadron transverse mass distribution',
            'PARP(83) = 0.3560    ! UE mass distribution parameter',
            'PARP(84) = 0.6510    ! UE mass distribution parameter',
            'MSTP(88) =      1    ! BR composite scheme',
            'MSTP(89) =      1    ! BR color scheme',
            'PARP(79) = 2.0000    ! BR composite x enhancement',
            'PARP(80) = 0.1000    ! BR breakup suppression',
            'MSTP(91) =      1    ! BR primordial kT distribution',
            'PARP(91) = 2.0000    ! BR primordial kT width <|kT|>',
            'PARP(93) = 10.000    ! BR primordial kT UV cutoff',
            'MSTP(95) =      6    ! FSI color (re-)connection model',
            'PARP(78) = 0.5380    ! FSI color reconnection strength',
            'PARP(77) = 1.0160    ! FSI color reco high-pT damping strength',
            'MSTJ(11) =      4    ! HAD choice of fragmentation function(s)',
            'PARJ( 1) = 0.1000    ! HAD diquark suppression',
            'PARJ( 2) = 0.3000    ! HAD strangeness suppression',
            'PARJ( 3) = 0.4000    ! HAD strange diquark suppression',
            'PARJ( 4) = 0.0500    ! HAD vector diquark suppression ',
            'PARJ( 5) = 0.5000    ! HAD P(popcorn)',
            'PARJ( 6) = 0.5000    ! HAD extra popcorn B(s)-M-B(s) supp',
            'PARJ( 7) = 0.5000    ! HAD extra popcorn B-M(s)-B supp',
            'PARJ(11) = 0.5000    ! HAD P(vector meson), u and d only',
            'PARJ(12) = 0.6000    ! HAD P(vector meson), contains s',
            'PARJ(13) = 0.7500    ! HAD P(vector meson), heavy quarks',
            'PARJ(21) = 0.3600    ! HAD fragmentation pT',
            'PARJ(25) = 1.0000    ! HAD eta0 suppression',
            'PARJ(26) = 0.4000    ! HAD eta0prim suppression',
            'PARJ(41) = 0.3000    ! HAD string parameter a(Meson)',
            'PARJ(42) = 0.5800    ! HAD string parameter b',
            'PARJ(45) = 0.5000    ! HAD string a(Baryon)-a(Meson)',
            'PARJ(46) = 0.7500    ! HAD Lund(=0)-Bowler(=1) rQ (rc)',
	)
)
