import FWCore.ParameterSet.Config as cms

RateParams_2012 = cms.VPSet(
cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG22'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-250.646,1.78975,-5.5801e-05,5.90724e-09), 
    ParErrors        = cms.vdouble(4.6133,0.00124988,2.17871e-07,2.56616e-11),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_ETM50'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-781.253,0.589212,-8.09682e-05,6.11958e-09), 
    ParErrors        = cms.vdouble(1.57155,0.000427218,7.48549e-08,8.83838e-12),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_ETT80'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(6.41489e+06,-3748.94,0.656481,-2.14204e-05), 
    ParErrors        = cms.vdouble(34685.1,9.68504,0.00177067,2.12745e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_HTT100'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-461.806,0.635347,-1.80574e-05,1.61805e-08), 
    ParErrors        = cms.vdouble(2026.82,0.549814,9.61286e-05,1.1393e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleIsoEG20er'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(152.06,1.02088,5.33485e-06,9.91573e-10), 
    ParErrors        = cms.vdouble(3.81866,0.00103454,1.80314e-07,2.12361e-11),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet128'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-217.021,0.326,-1.41957e-05,1.4588e-09), 
    ParErrors        = cms.vdouble(1.82347,0.000494797,8.64361e-08,1.01899e-11),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu16'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-5435.68,6.38796,-0.000563198,3.4096e-08), 
    ParErrors        = cms.vdouble(7.08545,0.00194953,3.5046e-07,4.37085e-11),
    ),

)



RateParams_2011 = cms.VPSet(
cms.PSet(
    AlgoName         = cms.string ('L1_BeamHalo'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-2.217e+05,4674,-24.57,0.0403), 
    ParErrors        = cms.vdouble(917,8.9,0.0536,0.000189),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet36'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-3.063e+04,573.5,-2.557,0.003734), 
    ParErrors        = cms.vdouble(196,1.9,0.0115,4.04e-05),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_Mu3_Jet28_Central'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(28.02,0.8295,0.005182,-3.804e-06), 
    ParErrors        = cms.vdouble(0.767,0.0074,4.37e-05,1.55e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG12_Eta1p39'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-48.09,8.644,-0.007349,1.327e-05), 
    ParErrors        = cms.vdouble(1.67,0.0161,9.51e-05,3.37e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet80_Central'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(2.729,1.798,-0.0004621,2.024e-06), 
    ParErrors        = cms.vdouble(0.809,0.00781,4.61e-05,1.64e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleMu0_HighQ'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(5.465,0.842,-0.0003247,7.12e-07), 
    ParErrors        = cms.vdouble(0.547,0.00528,3.12e-05,1.11e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_ETT220'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-0.1326,0.0824,-3.825e-05,3.86e-07), 
    ParErrors        = cms.vdouble(0.166,0.0016,9.45e-06,3.35e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_ETM100'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(0.5002,0.0287,-2.59e-05,1.145e-07), 
    ParErrors        = cms.vdouble(0.115,0.00111,6.54e-06,2.32e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_EG5_HTT100'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(0.2832,0.4398,-0.0001367,8.933e-07), 
    ParErrors        = cms.vdouble(0.352,0.0034,2.01e-05,7.12e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleEG3'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1.804e+05,3289,-16.4,0.02692), 
    ParErrors        = cms.vdouble(724,7.03,0.0428,0.00015),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_Bsc2Plus_BptxPlus'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-332.6,6.053,-0.02989,5.071e-05), 
    ParErrors        = cms.vdouble(0.827,0.00798,4.72e-05,1.67e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleEG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-2.008e+04,371,-1.88,0.003111), 
    ParErrors        = cms.vdouble(77.5,0.752,0.00457,1.6e-05),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_Mu0_HTT75'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-0.5495,0.08488,-1.23e-05,1.535e-07), 
    ParErrors        = cms.vdouble(0.154,0.00149,8.81e-06,3.12e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleEG8'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-2.472,2.01,-0.0003312,1.398e-06), 
    ParErrors        = cms.vdouble(0.741,0.00715,4.23e-05,1.5e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_MuOpen_EG12'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-6.04,0.5044,-4.981e-05,1.392e-06), 
    ParErrors        = cms.vdouble(0.391,0.00377,2.23e-05,7.9e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_Mu7_EG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(19.57,0.3116,0.003338,-4.707e-06), 
    ParErrors        = cms.vdouble(0.462,0.00446,2.64e-05,9.34e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleTauJet28'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(10.61,4.514,0.002078,3.074e-06), 
    ParErrors        = cms.vdouble(1.44,0.0139,8.19e-05,2.9e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_Mu3_DoubleEG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-4.805,0.3497,-2.462e-05,9.928e-07), 
    ParErrors        = cms.vdouble(0.304,0.00294,1.74e-05,6.15e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_EG10_Jet24_Central_deltaPhi1'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-37.21,5.761,-0.003462,1.259e-05), 
    ParErrors        = cms.vdouble(1.39,0.0134,7.94e-05,2.81e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_TripleEG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-14.55,1.521,-0.0001348,2.72e-06), 
    ParErrors        = cms.vdouble(0.613,0.00592,3.49e-05,1.24e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleMu3_EG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(13.59,-0.1493,0.001781,-2.755e-06), 
    ParErrors        = cms.vdouble(0.202,0.00195,1.15e-05,4.08e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_BeamGas_Hf'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-3.154e+04,521.7,-2.06,0.002688), 
    ParErrors        = cms.vdouble(202,1.96,0.0118,4.15e-05),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_QuadJet20_Central'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-5.859,0.5604,-0.0004361,5.489e-06), 
    ParErrors        = cms.vdouble(0.474,0.00458,2.7e-05,9.59e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet36_FwdVeto'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(8.003,1.331,-0.004132,8.211e-06), 
    ParErrors        = cms.vdouble(0.818,0.0079,4.68e-05,1.66e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleEG5_HTT75'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-2.418,0.5123,-8.796e-05,9.052e-07), 
    ParErrors        = cms.vdouble(0.343,0.00331,1.95e-05,6.93e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_Mu10_Jet36_Central'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1.706,0.2342,-2.527e-05,4.362e-07), 
    ParErrors        = cms.vdouble(0.277,0.00267,1.58e-05,5.6e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_BeamGas_Bsc'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-889.9,17.29,-0.1058,0.0002141), 
    ParErrors        = cms.vdouble(1.33,0.0129,8.66e-05,3.33e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu16'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(226.6,-0.3892,0.021,-4.213e-05), 
    ParErrors        = cms.vdouble(1.23,0.0119,7e-05,2.48e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu10'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(307.6,1.192,0.02778,-5.663e-05), 
    ParErrors        = cms.vdouble(1.67,0.0161,9.53e-05,3.38e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu12'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(278.3,0.302,0.02538,-5.128e-05), 
    ParErrors        = cms.vdouble(1.45,0.014,8.25e-05,2.93e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_TripleEG_8_8_5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-2.64,0.5241,-5.105e-05,4.443e-07), 
    ParErrors        = cms.vdouble(0.393,0.00379,2.24e-05,7.94e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleForJet32_EtaOpp'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.042,0.005913,-0.0001012,8.583e-07), 
    ParErrors        = cms.vdouble(0.0765,0.000739,4.36e-06,1.55e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_ETM50'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.501,0.1614,-8.716e-05,3.255e-07), 
    ParErrors        = cms.vdouble(0.247,0.00238,1.41e-05,4.99e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-3.822e+05,7192,-36.99,0.06157), 
    ParErrors        = cms.vdouble(1.42e+03,13.8,0.0839,0.000294),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleTauJet52'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.432,5.923,-0.00125,4.003e-06), 
    ParErrors        = cms.vdouble(1.53,0.0148,8.72e-05,3.09e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleMuBeamHalo'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-5223,105.5,-0.5779,0.001169), 
    ParErrors        = cms.vdouble(15.5,0.149,0.000882,3.13e-06),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu7'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(391.7,4.519,0.03322,-6.835e-05), 
    ParErrors        = cms.vdouble(2.21,0.0213,0.000126,4.46e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet92_Central'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(3.282,0.9599,-0.000304,1.313e-06), 
    ParErrors        = cms.vdouble(0.573,0.00553,3.27e-05,1.16e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu3'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.16e+04,-206.7,2.232,-0.005963), 
    ParErrors        = cms.vdouble(142,1.39,0.0087,3.19e-05),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet16'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-2.864e+05,4590,-13.57,0.01042), 
    ParErrors        = cms.vdouble(2.72e+03,26.5,0.164,0.000573),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleTauJet32'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(16.08,2.862,0.001933,-1.043e-06), 
    ParErrors        = cms.vdouble(1.05,0.0101,5.96e-05,2.11e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleTauJet36'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-4.067,2.15,-0.0003057,1.282e-06), 
    ParErrors        = cms.vdouble(0.884,0.00853,5.04e-05,1.79e-07),
                    ),
cms.PSet(
    AlgoName         = cms.string ('L1_Bsc2Minus_BptxMinus'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-563.2,11,-0.07045,0.0001489), 
    ParErrors        = cms.vdouble(1.03,0.0101,6.41e-05,2.55e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG12'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-41.86,14.6,-0.01057,1.945e-05), 
    ParErrors        = cms.vdouble(3.12,0.0301,0.000178,6.31e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleIsoEG12_Eta2p17'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-68.49,10.51,-0.01074,1.996e-05), 
    ParErrors        = cms.vdouble(2.68,0.0258,0.000153,5.41e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG12_Eta2p17'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-89.66,12.44,-0.01358,2.542e-05), 
    ParErrors        = cms.vdouble(2.76,0.0266,0.000157,5.57e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG15'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(16.19,6.582,-0.001815,4.02e-06), 
    ParErrors        = cms.vdouble(2.47,0.0238,0.000141,4.98e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_HTT50_HTM30'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1.772,1.116,-0.0003465,2.65e-06), 
    ParErrors        = cms.vdouble(0.638,0.00616,3.64e-05,1.29e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_TripleJet28_Central'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(15.37,1.152,0.002656,1.155e-06), 
    ParErrors        = cms.vdouble(0.866,0.00836,4.94e-05,1.75e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_HTM50'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-21.27,21.11,0.007577,4.491e-05), 
    ParErrors        = cms.vdouble(6.08,0.0587,0.000347,1.23e-06),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_HTT50_HTM50'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-6.349,2.243,-0.0006191,5.275e-06), 
    ParErrors        = cms.vdouble(0.971,0.00937,5.54e-05,1.96e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleMuOpen'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1.745e+05,3285,-16.89,0.02808), 
    ParErrors        = cms.vdouble(650,6.31,0.0383,0.000134),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_DoubleForJet44_EtaOpp'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-0.08928,0.002069,3.464e-07,1.239e-08), 
    ParErrors        = cms.vdouble(0.0222,0.000215,1.27e-06,4.5e-09),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_EG5_Jet36_deltaPhi1'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(7.584,10.55,0.004835,1.546e-05), 
    ParErrors        = cms.vdouble(2.49,0.024,0.000142,5.03e-07),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet128'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.714,0.2416,-0.0001174,4.736e-07), 
    ParErrors        = cms.vdouble(0.283,0.00273,1.62e-05,5.72e-08),
    ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet32_NotBptxOR_NotMuBeamHalo'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-37.43,2.527,-0.005776,1.052e-05), 
    ParErrors        = cms.vdouble(1.01,0.00972,5.75e-05,2.04e-07),
    ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleJet44_Central'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(42.7,3.178,0.004426,-3.879e-06), 
                ParErrors        = cms.vdouble(1.47,0.0142,8.4e-05,2.98e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_Mu7_Jet20_Central'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(27.68,0.2173,0.003906,-4.363e-06), 
                ParErrors        = cms.vdouble(0.538,0.0052,3.07e-05,1.09e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_InterBunch_Hf'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-1.034e+07,2.31e+05,-1180,1.893), 
                ParErrors        = cms.vdouble(6.53e+04,633,3.81,0.0134),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_ETT260_EG5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-0.5519,0.04146,6.584e-07,6.336e-08), 
                ParErrors        = cms.vdouble(0.11,0.00106,6.26e-06,2.22e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleEG20'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(5.959,2.663,-0.001003,2.586e-06), 
                ParErrors        = cms.vdouble(1.93,0.0186,0.00011,3.9e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleEG5_HTT50'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-6.566,1.346,-0.000287,2.907e-06), 
                ParErrors        = cms.vdouble(0.687,0.00663,3.92e-05,1.39e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_Mu3_Jet20_Central'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(29.36,1.41,0.007502,-1.804e-06), 
                ParErrors        = cms.vdouble(1.11,0.0107,6.35e-05,2.25e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleJet92'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(1.996,1.031,-0.0002973,1.242e-06), 
                ParErrors        = cms.vdouble(0.611,0.0059,3.49e-05,1.24e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_HTT50'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-10.89,3.884,-0.001037,8.683e-06), 
                ParErrors        = cms.vdouble(1.52,0.0146,8.64e-05,3.06e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_ETT300_EG5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-0.6599,0.03346,3.263e-05,-3.985e-07), 
                ParErrors        = cms.vdouble(0.272,0.00263,1.55e-05,5.5e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleTauJet40'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-1.449,1.404,-0.0002159,5.049e-07), 
                ParErrors        = cms.vdouble(0.675,0.00652,3.85e-05,1.36e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_EG12_Jet24_Central_deltaPhi1'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-27.42,4.091,-0.002958,9.164e-06), 
                ParErrors        = cms.vdouble(1.13,0.0109,6.45e-05,2.29e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_TripleEG_8_5_5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-8.578,1.128,-0.0001071,1.566e-06), 
                ParErrors        = cms.vdouble(0.577,0.00557,3.29e-05,1.17e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleEG_12_5_Eta1p39'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-1654,30.88,-0.157,0.0002593), 
                ParErrors        = cms.vdouble(6.71,0.0651,0.000397,1.39e-06),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleJet36_Central'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(33.82,6.255,0.004926,1.289e-06), 
                ParErrors        = cms.vdouble(2.21,0.0213,0.000126,4.46e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleEG30'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(1.746,0.7654,-0.0002219,6.079e-07), 
                ParErrors        = cms.vdouble(0.551,0.00532,3.15e-05,1.12e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleMu5_Eta1p5_Q80'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-394.1,11.07,-0.03401,5.359e-05), 
                ParErrors        = cms.vdouble(1.74,0.0167,9.89e-05,3.51e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleMu3p5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-1.123,1.349,-0.000353,2.354e-06), 
                ParErrors        = cms.vdouble(0.74,0.00714,4.22e-05,1.5e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleMu0_HighQ_EtaCuts'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(7.947,0.751,-0.0003687,5.715e-07), 
                ParErrors        = cms.vdouble(0.508,0.0049,2.89e-05,1.03e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_ZeroBias'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(2.176e+06,107,-0.6558,0.001318), 
                ParErrors        = cms.vdouble(77.9,0.751,0.00444,1.57e-05),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_Mu12_EG5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(11.32,0.0644,0.00173,-2.519e-06), 
                ParErrors        = cms.vdouble(0.328,0.00316,1.87e-05,6.62e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_InterBunch_Bsc'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-1.064e+06,6.21e+04,-305.5,0.4944), 
                ParErrors        = cms.vdouble(1.48e+03,14.3,0.0845,0.0003),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleJet68'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-23.88,4.347,-0.003147,8.809e-06), 
                ParErrors        = cms.vdouble(1.27,0.0123,7.25e-05,2.57e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_BptxMinus_NotBptxPlus'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(6.52e+04,42.93,-0.2665,0.0005436), 
                ParErrors        = cms.vdouble(7.81,0.0754,0.000445,1.58e-06),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_BptxPlus_NotBptxMinus'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(6.627e+04,22.82,-0.1415,0.0002882), 
                ParErrors        = cms.vdouble(4.52,0.0437,0.000258,9.14e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_Mu3_EG5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(60.99,0.967,0.0123,-1.647e-05), 
                ParErrors        = cms.vdouble(0.922,0.0089,5.26e-05,1.86e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_HTT150'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(0.9649,0.1672,-7.215e-05,3.948e-07), 
                ParErrors        = cms.vdouble(0.251,0.00242,1.43e-05,5.07e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleIsoEG10'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-0.2815,0.4109,-6.543e-05,1.158e-07), 
                ParErrors        = cms.vdouble(0.341,0.00329,1.94e-05,6.89e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_QuadJet28_Central'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-2.753,0.2655,-9.579e-05,1.405e-06), 
                ParErrors        = cms.vdouble(0.269,0.0026,1.54e-05,5.45e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_HTT75'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-1.871,1.313,-0.0003372,2.406e-06), 
                ParErrors        = cms.vdouble(0.69,0.00666,3.93e-05,1.39e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_BscMinBiasOR_BptxPlusANDMinus'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(7.5e+05,1.971e+04,-92.59,0.1468), 
                ParErrors        = cms.vdouble(500,4.83,0.0285,0.000101),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_PreCollisions'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-6.914e+04,1158,-4.805,0.006113), 
                ParErrors        = cms.vdouble(352,3.41,0.0206,7.24e-05),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleTauJet68'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(4.248,1.65,-0.0004169,9.507e-07), 
                ParErrors        = cms.vdouble(0.712,0.00687,4.06e-05,1.44e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleJet52'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-4.872,2.418,-0.0004958,3.303e-06), 
                ParErrors        = cms.vdouble(1.07,0.0104,6.12e-05,2.17e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleTauJet80'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(2.613,0.7176,-0.000204,4.198e-07), 
                ParErrors        = cms.vdouble(0.456,0.0044,2.6e-05,9.22e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_Mu5_EG12'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-0.9276,0.1799,-2.543e-05,2.733e-07), 
                ParErrors        = cms.vdouble(0.211,0.00203,1.2e-05,4.26e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_MuOpen_EG5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(115.9,1.924,0.0295,-3.29e-05), 
                ParErrors        = cms.vdouble(1.79,0.0173,0.000102,3.62e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleJet20_NotBptxOR'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-24.41,11.01,-0.00962,1.614e-05), 
                ParErrors        = cms.vdouble(2.97,0.0286,0.000169,6e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleIsoEG12'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-23.41,12.41,-0.007881,1.412e-05), 
                ParErrors        = cms.vdouble(2.99,0.0289,0.000171,6.05e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_EG5_HTT125'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(0.9394,0.2254,-9.459e-05,5.622e-07), 
                ParErrors        = cms.vdouble(0.28,0.0027,1.6e-05,5.66e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_Mu0_HTT50'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-1.826,0.2027,-2.206e-05,4.301e-07), 
                ParErrors        = cms.vdouble(0.238,0.0023,1.36e-05,4.82e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_ETM70'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(0.8685,0.05848,-4.67e-05,1.856e-07), 
                ParErrors        = cms.vdouble(0.151,0.00146,8.63e-06,3.06e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_ETM20'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-69.51,8.269,-0.001148,6.683e-05), 
                ParErrors        = cms.vdouble(2.74,0.0265,0.000156,5.54e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleEG_12_5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-4.085,3.06,-0.0005698,2.818e-06), 
                ParErrors        = cms.vdouble(0.948,0.00915,5.4e-05,1.92e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_EG8_Jet20_Central_deltaPhi1'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-23.1,9.62,0.0005052,1.776e-05), 
                ParErrors        = cms.vdouble(2.08,0.0201,0.000119,4.21e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_Mu7_TauJet16'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(17.17,0.371,0.002836,-2.271e-06), 
                ParErrors        = cms.vdouble(0.497,0.0048,2.83e-05,1e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_TripleEG7'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-0.7609,0.2553,-4.256e-05,2.581e-07), 
                ParErrors        = cms.vdouble(0.267,0.00258,1.52e-05,5.4e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_EG5_HTT75'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-2.497,0.9994,-0.0002386,1.871e-06), 
                ParErrors        = cms.vdouble(0.536,0.00517,3.06e-05,1.08e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleJet20_NotBptxOR_NotMuBeamHalo'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-22.21,10.95,-0.009189,1.524e-05), 
                ParErrors        = cms.vdouble(2.96,0.0286,0.000169,5.99e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleMu25'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(173.8,-0.7411,0.01661,-3.326e-05), 
                ParErrors        = cms.vdouble(1.01,0.00976,5.77e-05,2.04e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleEG10'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-0.05877,0.748,-0.0001303,1.851e-07), 
                ParErrors        = cms.vdouble(0.456,0.0044,2.6e-05,9.22e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleMu20'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(186.1,-0.4123,0.0174,-3.495e-05), 
                ParErrors        = cms.vdouble(1.08,0.0104,6.17e-05,2.19e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleMu7_Barrel'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(94.78,1.884,0.002084,-4.637e-06), 
                ParErrors        = cms.vdouble(0.995,0.0096,5.67e-05,2.01e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_HTT100'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(0.9086,0.57,-0.0001851,1.12e-06), 
                ParErrors        = cms.vdouble(0.421,0.00407,2.4e-05,8.52e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleEG2_FwdVeto'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-2721,68.2,-0.3894,0.0006788), 
                ParErrors        = cms.vdouble(31.9,0.31,0.00192,6.74e-06),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleIsoEG12_Eta1p39'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-36.67,7.33,-0.005623,9.895e-06), 
                ParErrors        = cms.vdouble(1.52,0.0146,8.65e-05,3.07e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_Mu3_Jet16_Central'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(54.42,1.388,0.01152,-4.061e-06), 
                ParErrors        = cms.vdouble(1.26,0.0122,7.19e-05,2.55e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleMu3'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(44.72,0.8847,0.005398,-8.196e-06), 
                ParErrors        = cms.vdouble(0.9,0.00869,5.13e-05,1.82e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleMu0'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(113.6,0.3927,0.01494,-2.432e-05), 
                ParErrors        = cms.vdouble(1.22,0.0118,6.94e-05,2.46e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_DoubleMu5'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-1.153,0.6484,-0.0001937,1.474e-06), 
                ParErrors        = cms.vdouble(0.459,0.00443,2.61e-05,9.27e-08),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_EG12_TauJet20_deltaPhi1'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-35.16,3.416,-0.003848,9.685e-06), 
                ParErrors        = cms.vdouble(0.849,0.0082,4.84e-05,1.72e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_ETM30'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-30.37,1.8,-0.003443,9.613e-06), 
                ParErrors        = cms.vdouble(0.644,0.00622,3.67e-05,1.3e-07),
                ),
cms.PSet(
                AlgoName         = cms.string ('L1_SingleMu7_Eta2p1'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(115.2,4.653,0.003062,-6.747e-06), 
                ParErrors        = cms.vdouble(1.43,0.0138,8.18e-05,2.9e-07),
                ),
cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet52'),
                TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
                Parameters       = cms.vdouble(-12.22,11.63,-0.001005,1.478e-05), 
                ParErrors        = cms.vdouble(2.85,0.0275,0.000163,5.77e-07),
                ),

)



RateParams_2010 = cms.VPSet(
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleTauJet50U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1.676,3.04,-0.0007998,1.166e-06), 
    ParErrors        = cms.vdouble(0.766,0.00896,6.44e-05,2.73e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleHfRingEtSumsRing1_P4N4'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1.85e+04,438.6,-3.281,0.02365), 
    ParErrors        = cms.vdouble(191,2.24,0.0161,6.83e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet50U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(21.22,3.712,0.003283,-7.352e-06), 
    ParErrors        = cms.vdouble(0.933,0.0109,7.85e-05,3.33e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_HTT200'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(0.1475,0.2208,-0.0001087,9.218e-07), 
    ParErrors        = cms.vdouble(0.199,0.00233,1.67e-05,7.09e-08),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet30U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(163.2,11.43,0.03061,-5.895e-05), 
    ParErrors        = cms.vdouble(2.67,0.0312,0.000224,9.51e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleEG2'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(2.575e+04,275.1,6.385,-0.01201), 
    ParErrors        = cms.vdouble(196,2.3,0.0165,7e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleEG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(709.7,12.11,0.1411,-0.0002923), 
    ParErrors        = cms.vdouble(5.7,0.0666,0.000479,2.03e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscSplashBeam2'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.336e+06,1.844e+04,-56.33,0.01512), 
    ParErrors        = cms.vdouble(1.6e+03,18.8,0.135,0.000572),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_QuadJet6U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-8385,244.2,-1.195,0.01259), 
    ParErrors        = cms.vdouble(101,1.18,0.00847,3.59e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ETT100'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1088,15.24,1.157,0.01581), 
    ParErrors        = cms.vdouble(194,2.27,0.0164,6.93e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ZdcMinusOverThreshold'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.018e+07,-3667,30.18,-0.07757), 
    ParErrors        = cms.vdouble(2.04e+04,239,1.72,0.00728),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BptxXOR_BscMinBiasOR'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(5.446e+04,1396,-13.94,0.03313), 
    ParErrors        = cms.vdouble(644,7.53,0.0542,0.00023),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_Mu5_Jet6U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(187.5,3.155,0.06029,-8.153e-05), 
    ParErrors        = cms.vdouble(3.52,0.0412,0.000296,1.26e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscHaloBeam1Outer'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.022e+07,-4541,36.58,-0.09288), 
    ParErrors        = cms.vdouble(2.04e+04,239,1.72,0.00728),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleMuTopBottom'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(31.67,0.2592,0.0059,-1.111e-05), 
    ParErrors        = cms.vdouble(0.518,0.00606,4.36e-05,1.85e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleHfRingEtSumsRing2_4'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.581e+05,-2388,59.9,-0.1289), 
    ParErrors        = cms.vdouble(825,10.1,0.0815,0.000444),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleTauJet14U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(154.2,2.543,0.02894,-5.558e-05), 
    ParErrors        = cms.vdouble(1.47,0.0172,0.000123,5.23e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleJet30U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(12.44,1.676,0.003401,-6.471e-06), 
    ParErrors        = cms.vdouble(0.58,0.00679,4.88e-05,2.07e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleCenJet2U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1597,48.25,0.4401,-0.0002804), 
    ParErrors        = cms.vdouble(21.1,0.247,0.00178,7.54e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleTauJet10U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(5477,171.4,1.25,-0.001811), 
    ParErrors        = cms.vdouble(56.8,0.664,0.00478,2.03e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleForJet4U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(3.808e+05,-6611,103.2,-0.2673), 
    ParErrors        = cms.vdouble(1e+03,12.4,0.104,0.000616),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu14'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(91.67,2.427,0.008323,-2.046e-05), 
    ParErrors        = cms.vdouble(1.41,0.0166,0.000119,5.05e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu10'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(123.3,4.307,0.01015,-2.487e-05), 
    ParErrors        = cms.vdouble(2,0.0234,0.000168,7.12e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG2'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(8.167e+04,2866,11.43,-0.03305), 
    ParErrors        = cms.vdouble(622,7.28,0.0523,0.000222),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(8468,243.9,1.41,-0.00348), 
    ParErrors        = cms.vdouble(64.6,0.755,0.00543,2.3e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_HTM30'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-195.1,15.97,-0.05375,0.0002671), 
    ParErrors        = cms.vdouble(5.4,0.0632,0.000454,1.93e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_IsoEG10_Jet6U_ForJet6U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1213,48.23,0.193,-0.0005953), 
    ParErrors        = cms.vdouble(10.2,0.119,0.000857,3.63e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMuBeamHalo'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-7972,208.2,-1.454,0.003662), 
    ParErrors        = cms.vdouble(40.1,0.472,0.00341,1.44e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscHaloBeam2Inner'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.022e+07,-4541,36.58,-0.09288), 
    ParErrors        = cms.vdouble(2.04e+04,239,1.72,0.00728),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(338.4,19.59,0.02863,-7.366e-05), 
    ParErrors        = cms.vdouble(5.65,0.0661,0.000476,2.02e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu3'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1267,37.66,0.1455,-0.0003693), 
    ParErrors        = cms.vdouble(13.1,0.153,0.0011,4.68e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu0'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(2215,39,0.3018,-0.0007628), 
    ParErrors        = cms.vdouble(19.8,0.232,0.00167,7.06e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleIsoEG8'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(2213,79.99,0.3602,-0.0008934), 
    ParErrors        = cms.vdouble(18.5,0.217,0.00156,6.61e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleIsoEG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(8406,240.8,1.4,-0.003453), 
    ParErrors        = cms.vdouble(63.9,0.748,0.00538,2.28e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscHaloBeam1Inner'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.022e+07,-4541,36.58,-0.09288), 
    ParErrors        = cms.vdouble(2.04e+04,239,1.72,0.00728),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG8'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(2303,81.79,0.3757,-0.0009311), 
    ParErrors        = cms.vdouble(19.2,0.225,0.00161,6.85e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG10'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1200,52.07,0.1942,-0.0004856), 
    ParErrors        = cms.vdouble(11.3,0.133,0.000953,4.04e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG15'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(392.7,24.23,0.06064,-0.0001536), 
    ParErrors        = cms.vdouble(4.91,0.0574,0.000413,1.75e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMuOpen'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1933,119.8,0.2037,-0.0004946), 
    ParErrors        = cms.vdouble(57.3,0.67,0.00482,2.04e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ETT60'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.988e+04,-864.9,32.92,-0.04586), 
    ParErrors        = cms.vdouble(773,9.04,0.065,0.000276),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleForJet10U_EtaOpp'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1695,44.09,-0.373,0.001375), 
    ParErrors        = cms.vdouble(5.58,0.0653,0.00047,1.99e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG12'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(704.9,37.5,0.1125,-0.0002837), 
    ParErrors        = cms.vdouble(7.72,0.0903,0.000649,2.75e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleTauJet30U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(99.06,6.729,0.01584,-3.788e-05), 
    ParErrors        = cms.vdouble(1.63,0.019,0.000137,5.8e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_HTM20'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1095,67.39,-0.2105,0.001239), 
    ParErrors        = cms.vdouble(13,0.153,0.0011,4.65e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleHfRingEtSumsRing1_4'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-7917,382.5,12.52,0.002046), 
    ParErrors        = cms.vdouble(636,7.44,0.0535,0.000227),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_Bsc2Plus_BptxPlus'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(2525,124.8,-1.749,0.00579), 
    ParErrors        = cms.vdouble(40.8,0.489,0.00383,1.81e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscSplashBeam1'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(9.969e+05,2.36e+04,-83.64,0.0667), 
    ParErrors        = cms.vdouble(1.58e+03,18.5,0.133,0.000565),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleTauJet4U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-1.739e+06,5.78e+04,-506.6,1.663), 
    ParErrors        = cms.vdouble(609,7.07,0.0665,0.000508),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleEG20'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(184.9,13.67,0.02738,-6.972e-05), 
    ParErrors        = cms.vdouble(2.87,0.0336,0.000241,1.02e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_Mu3_Jet6U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(609.2,1.679,0.1762,-0.0002612), 
    ParErrors        = cms.vdouble(7.71,0.0902,0.000648,2.75e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleCenJet4U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1597,48.25,0.4401,-0.0002804), 
    ParErrors        = cms.vdouble(21.1,0.247,0.00178,7.54e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscMinBiasThreshold2'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(6.827e+05,2.802e+04,-108,0.1318), 
    ParErrors        = cms.vdouble(1.99e+03,23.3,0.168,0.000711),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscMinBiasThreshold1'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.416e+06,2.846e+04,-149.2,0.2796), 
    ParErrors        = cms.vdouble(5.33e+03,62.4,0.448,0.0019),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ZdcTightVertex'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.018e+07,-3601,29.74,-0.07661), 
    ParErrors        = cms.vdouble(2.04e+04,239,1.72,0.00728),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ETM70'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-0.9719,1.967,-0.0004967,5.439e-07), 
    ParErrors        = cms.vdouble(0.585,0.00685,4.92e-05,2.09e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_HTT50'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-694.3,31.61,-0.1548,0.0006341), 
    ParErrors        = cms.vdouble(4.46,0.0522,0.000375,1.59e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleTauJet20U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(421.7,18.68,0.07635,-0.000167), 
    ParErrors        = cms.vdouble(4.73,0.0554,0.000398,1.69e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet6U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(3.068e+04,1765,12.97,-0.01737), 
    ParErrors        = cms.vdouble(568,6.64,0.0478,0.000203),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ZeroBias'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(3.927e+06,-376.1,3.088,-0.007953), 
    ParErrors        = cms.vdouble(1.99e+03,23.3,0.168,0.000711),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu7'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(166.3,9.15,0.01136,-2.841e-05), 
    ParErrors        = cms.vdouble(3.15,0.0368,0.000265,1.12e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet10U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(751.7,457,0.9393,0.002868), 
    ParErrors        = cms.vdouble(125,1.46,0.0105,4.44e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BptxMinus_NotBptxPlus'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(2.257e+05,-21.58,0.1792,-0.0004666), 
    ParErrors        = cms.vdouble(124,1.45,0.0105,4.43e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BptxPlus_NotBptxMinus'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(2.257e+05,-21.58,0.1792,-0.0004666), 
    ParErrors        = cms.vdouble(124,1.45,0.0105,4.43e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_Mu3_EG5'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(142.7,0.5189,0.02901,-5.707e-05), 
    ParErrors        = cms.vdouble(1.29,0.0151,0.000108,4.6e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscHaloBeam2Outer'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.022e+07,-4541,36.58,-0.09288), 
    ParErrors        = cms.vdouble(2.04e+04,239,1.72,0.00728),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_Bsc2Minus_BptxMinus'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(3.687e+04,39.65,-3.653,0.01307), 
    ParErrors        = cms.vdouble(114,1.35,0.0103,4.6e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscMinBiasOR_BptxPlusANDMinus'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.754e+06,2.262e+04,-95.08,0.133), 
    ParErrors        = cms.vdouble(2.05e+03,24,0.172,0.00073),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleHfRingEtSumsRing2_P4N4'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-3851,-9.252,6.32,0.01293), 
    ParErrors        = cms.vdouble(351,4.11,0.0295,0.000125),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ETT140'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-8789,235.6,-2.173,0.01018), 
    ParErrors        = cms.vdouble(49.6,0.581,0.00417,1.77e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ETM12'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-901.1,184.3,1.3,0.0008738), 
    ParErrors        = cms.vdouble(82.1,0.961,0.00691,2.93e-05),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_Mu3_Jet10U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(118.5,2.611,0.03228,-9.893e-07), 
    ParErrors        = cms.vdouble(2.63,0.0307,0.000221,9.36e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet40U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(53.71,5.838,0.009583,-2.059e-05), 
    ParErrors        = cms.vdouble(1.4,0.0164,0.000118,5e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleIsoEG10'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1133,50.58,0.1828,-0.0004579), 
    ParErrors        = cms.vdouble(10.8,0.127,0.000912,3.87e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleIsoEG12'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(667.4,36.02,0.1059,-0.0002676), 
    ParErrors        = cms.vdouble(7.36,0.0861,0.000619,2.63e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_QuadJet8U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-4783,131.3,-1.066,0.004608), 
    ParErrors        = cms.vdouble(20.6,0.241,0.00173,7.35e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleIsoEG15'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(352.5,23.51,0.05405,-0.0001376), 
    ParErrors        = cms.vdouble(4.68,0.0547,0.000393,1.67e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ZdcLooseVertex'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(4.018e+07,-3601,29.74,-0.07661), 
    ParErrors        = cms.vdouble(2.04e+04,239,1.72,0.00728),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ETM20'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-290.3,27.6,-0.02299,0.0003901), 
    ParErrors        = cms.vdouble(7.02,0.0822,0.000591,2.5e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleMu20'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(66.31,1.389,0.006441,-1.602e-05), 
    ParErrors        = cms.vdouble(1.07,0.0126,9.03e-05,3.83e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_TripleJet14U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-81.86,5.326,-0.01481,8.236e-05), 
    ParErrors        = cms.vdouble(1.17,0.0136,9.81e-05,4.16e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_HTT100'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-92.63,5.696,-0.02158,7.514e-05), 
    ParErrors        = cms.vdouble(0.922,0.0108,7.76e-05,3.29e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ZdcPlusOverThreshold'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(1.527e+07,3.147e+05,-1994,4.736), 
    ParErrors        = cms.vdouble(5.88e+05,6.89e+03,49.8,0.212),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleMuOpen'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(143.3,10.67,0.01707,-3.801e-05), 
    ParErrors        = cms.vdouble(6.5,0.076,0.000546,2.32e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet20U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(483.1,39.11,0.108,-0.000124), 
    ParErrors        = cms.vdouble(8.73,0.102,0.000734,3.11e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_BscHighMultiplicity'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-2.667e+05,6071,-30.79,0.06095), 
    ParErrors        = cms.vdouble(3.05e+03,36.4,0.279,0.00133),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_DoubleMu3'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-64.07,8.91,-0.01587,4.121e-05), 
    ParErrors        = cms.vdouble(3.38,0.0396,0.000284,1.21e-06),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_ETM30'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(-11.88,7.299,-0.002334,1.662e-05), 
    ParErrors        = cms.vdouble(1.64,0.0192,0.000138,5.87e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet60U'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(28.08,2.228,0.004227,-1.003e-05), 
    ParErrors        = cms.vdouble(0.731,0.00855,6.15e-05,2.61e-07),
),
  cms.PSet(
    AlgoName         = cms.string ('L1_SingleJet10U_NotBptxOR'),
    TemplateFunction = cms.string ('[0]/x+[1]+[2]*x+[3]*x*x'),
    Parameters       = cms.vdouble(94.22,23.63,0.001337,-1.093e-05), 
    ParErrors        = cms.vdouble(7.83,0.0917,0.000659,2.79e-06),
),

)

RateParams = RateParams_2012
